=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2009-02-17 14:12:00 +0000
+++ drizzled/field.cc	2009-02-17 14:41:01 +0000
@@ -983,16 +983,6 @@
   }
 }
 
-
-bool Field::send_binary(Protocol *protocol)
-{
-  char buff[MAX_FIELD_WIDTH];
-  String tmp(buff,sizeof(buff),charset());
-  val_str(&tmp);
-  return protocol->store(tmp.ptr(), tmp.length(), tmp.charset());
-}
-
-
 /**
    Check to see if field size is compatible with destination.
 

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2009-02-17 14:19:34 +0000
+++ drizzled/field.h	2009-02-17 14:41:01 +0000
@@ -405,8 +405,6 @@
     return str;
   }
 
-  virtual bool send_binary(Protocol *protocol);
-
   virtual unsigned char *pack(unsigned char *to,
                               const unsigned char *from,
                               uint32_t max_length,

=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2009-02-12 18:16:06 +0000
+++ drizzled/field/date.cc	2009-02-17 14:41:01 +0000
@@ -192,13 +192,6 @@
   return error;
 }
 
-bool Field_date::send_binary(Protocol *protocol)
-{
-  DRIZZLE_TIME tm;
-  Field_date::get_date(&tm,0);
-  return protocol->store_date(&tm);
-}
-
 double Field_date::val_real(void)
 {
   return (double) Field_date::val_int();

=== modified file 'drizzled/field/date.h'
--- drizzled/field/date.h	2009-01-30 07:25:51 +0000
+++ drizzled/field/date.h	2009-02-17 14:41:01 +0000
@@ -55,7 +55,6 @@
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return 3; }

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2009-02-12 18:16:06 +0000
+++ drizzled/field/datetime.cc	2009-02-17 14:41:01 +0000
@@ -197,14 +197,6 @@
   return error;
 }
 
-bool Field_datetime::send_binary(Protocol *protocol)
-{
-  DRIZZLE_TIME tm;
-  Field_datetime::get_date(&tm, TIME_FUZZY_DATE);
-  return protocol->store(&tm);
-}
-
-
 double Field_datetime::val_real(void)
 {
   return (double) Field_datetime::val_int();

=== modified file 'drizzled/field/datetime.h'
--- drizzled/field/datetime.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/datetime.h	2009-02-17 14:41:01 +0000
@@ -52,7 +52,6 @@
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return 8; }

=== modified file 'drizzled/field/double.cc'
--- drizzled/field/double.cc	2009-02-04 20:24:17 +0000
+++ drizzled/field/double.cc	2009-02-17 14:41:01 +0000
@@ -155,12 +155,6 @@
   return val_buffer;
 }
 
-bool Field_double::send_binary(Protocol *protocol)
-{
-  return protocol->store((double) Field_double::val_real(), dec, (String*) 0);
-}
-
-
 int Field_double::cmp(const unsigned char *a_ptr, const unsigned char *b_ptr)
 {
   double a,b;

=== modified file 'drizzled/field/double.h'
--- drizzled/field/double.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/double.h	2009-02-17 14:41:01 +0000
@@ -53,7 +53,6 @@
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return sizeof(double); }

=== modified file 'drizzled/field/int64_t.cc'
--- drizzled/field/int64_t.cc	2009-01-23 06:03:42 +0000
+++ drizzled/field/int64_t.cc	2009-02-17 14:41:01 +0000
@@ -166,13 +166,6 @@
   return val_buffer;
 }
 
-
-bool Field_int64_t::send_binary(Protocol *protocol)
-{
-  return protocol->store_int64_t(Field_int64_t::val_int(), false);
-}
-
-
 int Field_int64_t::cmp(const unsigned char *a_ptr, const unsigned char *b_ptr)
 {
   int64_t a,b;

=== modified file 'drizzled/field/int64_t.h'
--- drizzled/field/int64_t.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/int64_t.h	2009-02-17 14:41:01 +0000
@@ -55,7 +55,6 @@
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return 8; }

=== modified file 'drizzled/field/long.cc'
--- drizzled/field/long.cc	2009-01-23 06:03:42 +0000
+++ drizzled/field/long.cc	2009-02-17 14:41:01 +0000
@@ -171,12 +171,6 @@
   return val_buffer;
 }
 
-
-bool Field_long::send_binary(Protocol *protocol)
-{
-  return protocol->store_long(Field_long::val_int());
-}
-
 int Field_long::cmp(const unsigned char *a_ptr, const unsigned char *b_ptr)
 {
   int32_t a,b;

=== modified file 'drizzled/field/long.h'
--- drizzled/field/long.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/long.h	2009-02-17 14:41:01 +0000
@@ -48,7 +48,6 @@
   int reset(void) { ptr[0]=ptr[1]=ptr[2]=ptr[3]=0; return 0; }
   double val_real(void);
   int64_t val_int(void);
-  bool send_binary(Protocol *protocol);
   String *val_str(String*,String *);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);

=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2009-01-23 06:03:42 +0000
+++ drizzled/field/timestamp.cc	2009-02-17 14:41:01 +0000
@@ -379,15 +379,6 @@
   return Field_timestamp::get_date(ltime,0);
 }
 
-
-bool Field_timestamp::send_binary(Protocol *protocol)
-{
-  DRIZZLE_TIME tm;
-  Field_timestamp::get_date(&tm, 0);
-  return protocol->store(&tm);
-}
-
-
 int Field_timestamp::cmp(const unsigned char *a_ptr, const unsigned char *b_ptr)
 {
   int32_t a,b;

=== modified file 'drizzled/field/timestamp.h'
--- drizzled/field/timestamp.h	2009-01-30 04:39:04 +0000
+++ drizzled/field/timestamp.h	2009-02-17 14:41:01 +0000
@@ -50,7 +50,6 @@
   double val_real(void);
   int64_t val_int(void);
   String *val_str(String*,String *);
-  bool send_binary(Protocol *protocol);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return 4; }

=== modified file 'drizzled/field/timetype.cc'
--- drizzled/field/timetype.cc	2009-01-23 06:03:42 +0000
+++ drizzled/field/timetype.cc	2009-02-17 14:41:01 +0000
@@ -260,17 +260,6 @@
   return 0;
 }
 
-
-bool Field_time::send_binary(Protocol *protocol)
-{
-  DRIZZLE_TIME tm;
-  Field_time::get_time(&tm);
-  tm.day= tm.hour/24;				// Move hours to days
-  tm.hour-= tm.day*24;
-  return protocol->store_time(&tm);
-}
-
-
 int Field_time::cmp(const unsigned char *a_ptr, const unsigned char *b_ptr)
 {
   int32_t a,b;

=== modified file 'drizzled/field/timetype.h'
--- drizzled/field/timetype.h	2009-02-04 20:24:17 +0000
+++ drizzled/field/timetype.h	2009-02-17 14:41:01 +0000
@@ -47,7 +47,6 @@
   int64_t val_int(void);
   String *val_str(String*,String *);
   bool get_date(DRIZZLE_TIME *ltime, uint32_t fuzzydate);
-  bool send_binary(Protocol *protocol);
   bool get_time(DRIZZLE_TIME *ltime);
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);

